Method: accountTypes.accounts.userListGlobalLicenses.userListGlobalLicenseCustomerInfos.list

列出用户名单全局许可的所有客户信息。

此功能仅适用于数据合作伙伴。

HTTP 请求

GET https://datamanager.googleapis.com/v1/{parent=accountTypes/*/accounts/*/userListGlobalLicenses/*}/userListGlobalLicenseCustomerInfos

网址采用 gRPC 转码语法。

路径参数

参数
parent

string

必需。正在查询的客户信息的全球许可。应采用以下格式:accountTypes/{ACCOUNT_TYPE}/accounts/{ACCOUNT_ID}/userListGlobalLicenses/{USER_LIST_GLOBAL_LICENSE_ID}。如需列出账号下的所有全球许可客户信息,请将用户列表全球许可 ID 替换为“-”(例如 accountTypes/DATA_PARTNER/accounts/123/userListGlobalLicenses/-

查询参数

参数
filter

string

可选。要应用于列表请求的过滤条件字符串。所有字段都必须位于每个条件(例如:user_list_id = 123)的左侧。必须使用全驼峰式命名或全蛇形命名来指定字段。请勿同时使用驼峰式命名法和蛇形命名法。

支持的操作

  • AND
  • =
  • !=
  • >
  • >=
  • <
  • <=

不受支持的字段

  • name(请改用 get 方法)
  • historical_pricings 及其所有子字段
  • pricing.start_time
  • pricing.end_time
pageSize

integer

可选。要返回的许可数量上限。服务返回的值可能小于此值。如果未指定,则最多返回 50 个许可。最大值为 1,000;大于 1,000 的值将被强制转换为 1,000。

pageToken

string

可选。从之前的 ListUserListDirectLicense 调用接收的页面令牌。利用其进行后续页面检索。

进行分页时,提供给 ListUserListDirectLicense 的所有其他参数必须与提供页面令牌的调用匹配。

请求正文

请求正文必须为空。

响应正文

[ListUserListGlobalLicensesCustomerInfoRequest][google.ads.datamanager.v1.ListUserListGlobalLicensesCustomerInfoRequest] 的响应。

如果成功,响应正文将包含结构如下的数据:

JSON 表示法
{
  "userListGlobalLicenseCustomerInfos": [
    {
      object (UserListGlobalLicenseCustomerInfo)
    }
  ],
  "nextPageToken": string
}
字段
userListGlobalLicenseCustomerInfos[]

object (UserListGlobalLicenseCustomerInfo)

相应许可在请求中的客户信息。

nextPageToken

string

可作为 pageToken 发送并用于检索下一页的令牌。如果省略此字段,则不存在后续页面。

授权范围

需要以下 OAuth 范围:

  • https://www.googleapis.com/auth/datamanager

UserListGlobalLicenseCustomerInfo

有关用户名单全局许可的客户的信息。当客户购买全球许可时,系统会自动创建此许可。

JSON 表示法
{
  "name": string,
  "userListId": string,
  "userListDisplayName": string,
  "licenseType": enum (UserListGlobalLicenseType),
  "status": enum (UserListLicenseStatus),
  "pricing": {
    object (UserListLicensePricing)
  },
  "clientAccountType": enum (UserListLicenseClientAccountType),
  "clientAccountId": string,
  "clientAccountDisplayName": string,
  "historicalPricings": [
    {
      object (UserListLicensePricing)
    }
  ],
  "metrics": {
    object (UserListLicenseMetrics)
  }
}
字段
name

string

标识符。用户名单全局许可客户的资源名称。

userListId

string (int64 format)

仅限输出。正在许可的用户列表的 ID。

userListDisplayName

string

仅限输出。获得许可的用户名单的名称。

licenseType

enum (UserListGlobalLicenseType)

仅限输出。用户名单的许可对象客户的产品类型。

status

enum (UserListLicenseStatus)

仅限输出。UserListDirectLicense 的状态 - ENABLED 或 DISABLED。

pricing

object (UserListLicensePricing)

仅限输出。UserListDirectLicense 定价。

clientAccountType

enum (UserListLicenseClientAccountType)

仅限输出。用户名单的许可对象客户的产品类型。

clientAccountId

string (int64 format)

仅限输出。用户名单的许可对象客户的 ID。

clientAccountDisplayName

string

仅限输出。用户名单的许可对象客户的名称。

historicalPricings[]

object (UserListLicensePricing)

仅限输出。相应用户名单许可的价格历史记录。

metrics

object (UserListLicenseMetrics)

仅限输出。与此许可相关的指标

只有在 userListGlobalLicenseCustomerInfos.list 调用中设置了开始日期和结束日期时,系统才会填充此字段。